<?php

function bosa_news_blog_default_styles(){

	// Begin Style
	$css = '<style>';

	$site_title_color = get_theme_mod( 'site_title_color', '#030303' );
	$site_tagline_color = get_theme_mod( 'site_tagline_color', '#767676' );
	$css .= '
		/* Site Title */
		.header-four .site-branding .site-title {
			color: '. esc_attr( $site_title_color ) .';
		}
		/* Tagline */
		.header-four .site-branding .site-description {
			color: '. esc_attr( $site_tagline_color ) .';
		}
	';

	if ( get_theme_mod( 'main_slider_controls', 'slider' ) == 'slider' ){
		$background_color_main_slider = get_theme_mod( 'background_color_main_slider', '');
		$css .= '
			.main-slider-wrap .banner-img .overlay,
			.section-banner .slider-layout-two .overlay {
				background-color: '. esc_attr( $background_color_main_slider ) .';
			}
		';
	}

	$main_slider_height = get_theme_mod( 'main_slider_height', 550 );
	$css .= '
		@media only screen and (min-width: 768px) {
			.slider-layout-two .slide-item {
				height: '. esc_attr( $main_slider_height ) .'px;
				overflow: hidden;
			}
		}
	';

	$mid_header_background_color = get_theme_mod( 'mid_header_background_color', '' );
	$mid_header_text_link_hover_color = get_theme_mod( 'mid_header_text_link_hover_color', '#086abd' );
	$css .= '
		.mid-header .overlay {
			background-color: '. esc_attr( $mid_header_background_color ) .';
		}
	';

	$css .= '
		.header-four .site-branding .site-title a:hover,
		.header-four .site-branding .site-title a:focus,
		.header-four .site-branding .site-title a:active {
			color: '. esc_attr( $mid_header_text_link_hover_color ) .';
		}
		button.header-search-button:hover,
		button.header-search-button:focus,
		button.header-search-button:active {
			background-color: '. esc_attr( $mid_header_text_link_hover_color ) .';
		}
	';

	if( get_theme_mod( 'disable_mid_header_border', false ) ){
		$css .= '
			@media screen and (min-width: 992px){
				.mid-header {
					border-bottom: none;
				}
			}
		';
	}

	# Header four home icon background color 
	$header_home_icon_bg_color = get_theme_mod( 'header_home_icon_bg_color', '#EB5A3E' );
	$css .= '
		.header-home-icon a {
			background-color: '. esc_attr( $header_home_icon_bg_color ) .';
		}
	';

	# Header four home icon hover background color 
	$header_home_icon_hover_bg_color = get_theme_mod( 'header_home_icon_hover_bg_color', '#086abd' );
	$css .= '
		.header-home-icon a:hover,
		.header-home-icon a:focus,
		.header-home-icon a:active {
			background-color: '. esc_attr( $header_home_icon_hover_bg_color ) .';
		}
	';

	# Header Image / Slider
	#Header Image Height
	$header_image_height = get_theme_mod( 'header_image_height', 150 );
	$css .= '
		@media only screen and (min-width: 992px) {
			.site-header:not(.sticky-header) .header-image-wrap {
				height: '. esc_attr( $header_image_height ) .'px;
				width: 100%;
				position: relative;
			}
		}
	';

	# Header Color
	/* Top Header Background */
	$top_header_background_color = get_theme_mod( 'top_header_background_color', '' );
	$top_header_text_color = get_theme_mod( 'top_header_text_color', '#333333' );
	$top_header_text_link_hover_color = get_theme_mod( 'top_header_text_link_hover_color', '#086abd' );
	$css .= '
		.header-four .top-header {
			background-color: '. esc_attr( $top_header_background_color ) .';
		}
		.header-four .header-date,
		.header-four .header-navigation ul li a,
		.header-four .social-profile ul li a {
			color: '. esc_attr( $top_header_text_color ) .';
		}
		.header-four .header-navigation ul li a:hover,
		.header-four .header-navigation ul li a:focus,
		.header-four .header-navigation ul li a:active,
		.header-four .social-profile ul li a:hover,
		.header-four .social-profile ul li a:focus,
		.header-four .social-profile ul li a:active {
			color: '. esc_attr( $top_header_text_link_hover_color ) .';
		}
	';

	/* Bottom Header Background */
	$bottom_header_background_color 	 = get_theme_mod( 'bottom_header_background_color', '' );
	$bottom_header_text_color 			 = get_theme_mod( 'bottom_header_text_color', '#333333' );
	$menu_items_color 					 = get_theme_mod( 'menu_items_color', '#333333' );
	$bottom_header_text_link_hover_color = get_theme_mod( 'bottom_header_text_link_hover_color', '#086abd' );
	$css .= '
		.header-four .bottom-header {
			background-color: '. esc_attr( $bottom_header_background_color ) .';
		}
		.header-four .main-navigation ul.menu > li > a,
		.header-four .header-icons .search-icon {
			color: '. esc_attr( $bottom_header_text_color ) .';
		}
		.header-four .alt-menu-icon .icon-bar, 
		.header-four .alt-menu-icon .icon-bar:before, 
		.header-four .alt-menu-icon .icon-bar:after {
			background-color: '. esc_attr( $bottom_header_text_color ) .';
		}
		.header-four .main-navigation ul.menu li a:hover,
		.header-four .main-navigation ul.menu li a:focus,
		.header-four .main-navigation ul.menu li a:active,
		.header-four .main-navigation ul.menu li.current-menu-item > a,
		.header-four .main-navigation ul.menu li.current_page_item > a,
		.header-four .main-navigation ul.menu > li:hover > a, 
		.header-four .main-navigation ul.menu > li:focus > a, 
		.header-four .main-navigation ul.menu > li:active > a, 
		.header-four .header-icons .search-icon:hover, 
		.header-four .header-icons .search-icon:focus, 
		.header-four .header-icons .search-icon:active {
			color: '. esc_attr( $bottom_header_text_link_hover_color ) .';
		}
		.header-four .alt-menu-icon a:hover .icon-bar, 
		.header-four .alt-menu-icon a:focus .icon-bar, 
		.header-four .alt-menu-icon a:active .icon-bar, 
		.header-four .alt-menu-icon a:hover .icon-bar:before, 
		.header-four .alt-menu-icon a:focus .icon-bar:before, 
		.header-four .alt-menu-icon a:active .icon-bar:before, 
		.header-four .alt-menu-icon a:hover .icon-bar:after,
		.header-four .alt-menu-icon a:focus .icon-bar:after,
		.header-four .alt-menu-icon a:active .icon-bar:after {
			background-color: '. esc_attr( $bottom_header_text_link_hover_color ) .';
		}
	';

	# Blog Homepage
	# Feature Posts
	$featured_post_title_color = get_theme_mod( 'featured_post_title_color', '#151515' );
	$featured_post_category_color = get_theme_mod( 'featured_post_category_color', '#EB5A3E' );
	$featured_post_meta_color = get_theme_mod( 'featured_post_meta_color', '#747474' );
	$featured_post_meta_icon_color = get_theme_mod( 'featured_post_meta_icon_color', '#EB5A3E' );
	$css .= '
    	.feature-posts-content .feature-posts-title {
    		color: '. esc_attr( $featured_post_title_color) .';
    	}
    	.feature-posts-layout-one .feature-posts-content .feature-posts-title a:after {
    		background-color: '. esc_attr( $featured_post_title_color) .';
    	}
    ';
    $css .= '
    	.feature-posts-content .cat-links a {
    		color: '. esc_attr( $featured_post_category_color ) .';
    	}
    ';
    $css .= '
    	.post .feature-posts-content .entry-meta a {
    		color: '. esc_attr( $featured_post_meta_color ) .';
    	}
    	.post .feature-posts-content .entry-meta a:before {
    		color: '. esc_attr( $featured_post_meta_icon_color ) .';
    	}
    ';

    #Bottom Footer image width
	if( get_theme_mod( 'footer_layout', 'footer_two' ) == 'footer_one' || get_theme_mod( 'footer_layout', 'footer_two' ) == 'footer_two' ){
		$bottom_footer_image_width = get_theme_mod( 'bottom_footer_image_width', 270 );
		$css .= '
			.bottom-footer-image-wrap > a {
				max-width: '. esc_attr( $bottom_footer_image_width ) .'px;
				overflow: hidden;
				display: inline-block;
			}
		';
	}
	
	// End Style
	$css .= '</style>';

	// return generated & compressed CSS
	echo str_replace(array("\r\n", "\r", "\n", "\t", '  ', '    ', '    '), '', $css); 
}
add_action( 'wp_head', 'bosa_news_blog_default_styles', 99 );